{-# LANGUAGE DataKinds #-}
{-# LANGUAGE InstanceSigs #-}
{-# LANGUAGE MultiParamTypeClasses #-}

module Agent.Tools.Time where

import Agent.Tools.Tool
import Agent.Tools.Tool (Tool)
import Control.Monad.IO.Class
import Data.Proxy
import Data.Text

data CurrentTimeTool

instance KnownTool CurrentTimeTool where
  toolVal _ =
    Tool
      { name = "current_time",
        call = "",
        description = "Get the current Time"
      }

instance Dispatchable CurrentTimeTool () where
  dispatch :: (MonadIO m) => Proxy t -> () -> m Text
  dispatch Proxy () = return "Current Timed: 09.03.2025 14:38"
  parseArgs _ _ = ()
